Bug 1102571 (CVE-2014-3917) - CVE-2014-3917 kernel: DoS with syscall auditing
Summary: CVE-2014-3917 kernel: DoS with syscall auditing
Status: CLOSED ERRATA
Alias: CVE-2014-3917
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140528,repor...
Keywords: Security
Depends On: 1102702 1102703 1102704 1102705 1102708 1102710 1102712 1102715 1135000
Blocks: 1102519
TreeView+ depends on / blocked
 
Reported: 2014-05-29 08:51 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:03 UTC (History)
36 users (show)

(edit)
An out-of-bounds memory access flaw was found in the Linux kernel's system call auditing implementation. On a system with existing audit rules defined, a local, unprivileged user could use this flaw to leak kernel memory to user space or, potentially, crash the system.
Clone Of:
(edit)
Last Closed: 2014-09-22 19:44:08 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0913 normal SHIPPED_LIVE Important: kernel-rt security update 2014-07-22 22:00:11 UTC
Red Hat Product Errata RHSA-2014:1143 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2014-09-03 21:53:37 UTC
Red Hat Product Errata RHSA-2014:1167 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-09-09 21:55:48 UTC
Red Hat Product Errata RHSA-2014:1281 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2014-09-22 22:23:38 UTC

Description Vasyl Kaigorodov 2014-05-29 08:51:58 UTC
Linux kernel built with the system-call auditing support(CONFIG_AUDITSYSCALL) is vulnerable to a kernel crash or information disclosure flaw caused by out of bounds memory access. It could occur when system call audit rules are configured on a system. Administrative privileges are required to add such audit rules.

When system call audit rules are present on a system, an unprivileged user/program could use this flaw to leak kernel memory bytes or crash the system resulting DoS.

Upstream fix:
-------------
  -> http://article.gmane.org/gmane.linux.kernel/1713179

References:
-----------
  -> http://seclists.org/oss-sec/2014/q2/377

Comment 1 Prasad J Pandit 2014-05-29 12:34:06 UTC
Statement:

(none)

Comment 4 Prasad J Pandit 2014-05-29 12:42:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1102715]

Comment 6 Fedora Update System 2014-06-05 21:52:04 UTC
kernel-3.14.5-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-06-16 23:30:11 UTC
kernel-3.14.7-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 John Kacur 2014-06-23 23:02:20 UTC
commit a3c54931199565930d6d84f4c3456f6440aefd41 upstream

Comment 9 errata-xmlrpc 2014-07-22 18:04:16 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0913 https://rhn.redhat.com/errata/RHSA-2014-0913.html

Comment 10 Martin Prpič 2014-09-02 09:36:57 UTC
IssueDescription:

An out-of-bounds memory access flaw was found in the Linux kernel's system call auditing implementation. On a system with existing audit rules defined, a local, unprivileged user could use this flaw to leak kernel memory to user space or, potentially, crash the system.

Comment 11 errata-xmlrpc 2014-09-03 17:53:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1143 https://rhn.redhat.com/errata/RHSA-2014-1143.html

Comment 12 errata-xmlrpc 2014-09-09 17:56:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1167 https://rhn.redhat.com/errata/RHSA-2014-1167.html

Comment 13 errata-xmlrpc 2014-09-22 18:23:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1281 https://rhn.redhat.com/errata/RHSA-2014-1281.html


Note You need to log in before you can comment on or make changes to this bug.